repmgr witness unregister

# repmgr witness unregister

remove a witness node's information to the &repmgr; metadata

## Description

`repmgr witness unregister` removes a witness server's node record from the &repmgr; metadata.

The node does not have to be running to be unregistered, however if this is the case then either provide connection information for the primary server, or execute `repmgr witness unregister` on a running node and provide the parameter `--node-id` with the node ID of the witness server.

Execute with the `--dry-run` option to check what would happen without actually registering the witness server.

## Examples

Unregistering a running witness node:

        $ repmgr -f /etc/repmgr.conf witness unregister
        INFO: connecting to witness node "node3" (ID: 3)
        INFO: unregistering witness node 3
        INFO: witness unregistration complete
        DETAIL: witness node with UD 3 successfully unregistered

Unregistering a non-running witness node:

            $ repmgr -f /etc/repmgr.conf witness unregister -h node1 -p 5501  -F
            INFO: connecting to node "node3" (ID: 3)
            NOTICE: unable to connect to node "node3" (ID: 3), removing node record on cluster primary only
            INFO: unregistering witness node 3
            INFO: witness unregistration complete
            DETAIL: witness node with id ID 3 successfully unregistered

## Notes

This command will not make any changes to the witness node itself and will neither remove any data from the witness database nor stop the PostgreSQL instance.

A witness node which has been unregistered, can be re-registered with repmgr witness register --force.

## Options

`--dry-run`

  Check prerequisites but don't actually unregister the witness.

`--node-id`

  Unregister witness server with the specified node ID.

## Event notifications

A `witness_unregister` event notification will be generated.